Bug 445667 - Real user accounts with UID<1000 are considered system accounts
Real user accounts with UID<1000 are considered system accounts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eiciel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 09:04 EDT by Chris Tyler
Modified: 2008-06-30 23:53 EDT (History)
0 users

See Also:
Fixed In Version: 0.9.6.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 23:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Tyler 2008-05-08 09:04:10 EDT
Description of problem:
Eiciel's display has a checkbox labeled "Also show system participants". This
button is designed to show accounts that do not correspond to people, e.g.,
root, mysql, and so forth. This condition applies where UID<1000, but on a
Fedora system, this should be UID<500 because /etc/libuser.conf leaves
LU_UIDNUMBER at the default value of 500.

The impact of this bug is that the first 500 real users on the system do not
appear in Eiciel's display (which means that on many systems, only nfsnobody is
shown). Selecting the "Also show system participants" shows these real users but
also shows all of the systems accounts (which, on a personal system, will often
be more numerous than the real accounts).

Version-Release number of selected component (if applicable):
eiciel-0.9.5-1.fc8 and eiciel-0.9.5-1.fc9

Steps to Reproduce:
1. Start eiciel with a file argument: /usr/bin/eiciel /etc/services

Actual results:
User accounts where (UID>=500 && UID<1000) are not displayed unless the "Also
show system participants" checkbox is selected.


Expected results:
User accounts where UID>=500 are always shown regardless of the state of the
checkbox. (Ideally, nfsnobody should be suppressed unless the checkbox is
selected too).

Additional info:
The lower limit for the non-system UID should not be hardcoded, but retrieved
from libuser.
Comment 1 Bug Zapper 2008-05-14 06:50:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Chris Weyl 2008-05-24 16:40:15 EDT
I've updated to 0.9.6.1, as well as patched the relevant file to bring the
system group/user id upper bound to 500 rather than 1000.  Yes this is fedora
specific, but it works with minimal effort; patches to properly query libuser
will be happily accepted (and upstream poked to take them).

bodhi should be updating this bug w/testing repo download details shortly....

Thanks for the report! :)
Comment 3 Fedora Update System 2008-05-25 01:15:27 EDT
eiciel-0.9.6.1-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-05-25 01:16:24 EDT
eiciel-0.9.6.1-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-28 22:45:46 EDT
eiciel-0.9.6.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eiciel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4551
Comment 6 Fedora Update System 2008-06-06 03:49:44 EDT
eiciel-0.9.6.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-06-06 03:51:22 EDT
eiciel-0.9.6.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.